Configuration change for pfl.wikipedia.org: Set wgRestrictDisplayTitle = false
Closed, ResolvedPublic

Description

Hello,
The Palatinate German Wikipedia ( https://pfl.wikipedia.org/ ) voted for a change in its MediaWiki configuration: it is whished to have wgRestrictDisplayTitle = false

You can find here the result of the vote:
https://pfl.wikipedia.org/w/index.php?title=Wikipedia:Schdammdisch&oldid=76665#Abstimmung_%C3%BCber_Vorlage:Titel_ohne_JavaScript

Can you please do that for us?
Thanks a lot!

Holder created this task.Sep 21 2018, 5:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2018, 5:52 AM

Change 462011 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Set wgRestrictDisplayTitle = false for pflwiki

https://gerrit.wikimedia.org/r/462011

Framawiki moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Framawiki added a subscriber: Framawiki.

Will do as requested, but just note for your information what is said on https://www.mediawiki.org/wiki/Manual:$wgRestrictDisplayTitle:

Restricts display titles to titles that normalize to the same canonical database key as the real page title. This roughly means that only capitalization variations of the title are accepted. If set to false, any display title is allowed. This is not recommended however, as it breaks the wiki convention that a page's title is its name, and thus can be used for linking to it.

Change 462011 merged by jenkins-bot:
[operations/mediawiki-config@master] Set wgRestrictDisplayTitle = false for pflwiki

https://gerrit.wikimedia.org/r/462011

Mentioned in SAL (#wikimedia-operations) [2018-09-24T18:57:25Z] <gjg@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [config] {{gerrit|462011}} Set wgRestrictDisplayTitle = false for pflwiki ({{phab|T205055}}) (duration: 00m 48s)

Framawiki closed this task as Resolved.Sep 24 2018, 9:32 PM

Done !